
set term png
set out 'cwsim-pkt.png'
set xlabel 'CW [sloturi]'
set ylabel 'Total pachete CBR livrate'  
set logscale x 
set key left 
set grid ytics
set yrange [0:*]
set key bottom 

plot\
 './cwsim.out' using 2:4 index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:4 index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:4 index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:4 index 6 t '25' w l lw 3, \
 './cwsim.out' using 2:4 index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):4 index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):4 index 3 t '9 802.11' w p lc 2 ,\
 './cwsim.out' using (7000):4 index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):4 index 7 t '25 802.11' w p lc 4, \
 './cwsim.out' using (9000):4 index 9 t '36 802.11' w p lc 5


set out 'cwsim-rata.png'
set ylabel 'Rata de livrare [Mbps]'  

plot\
 './cwsim.out' using 2:($4*1512*8/25e6) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($4*1512*8/25e6) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($4*1512*8/25e6) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($4*1512*8/25e6) index 6 t '25' w l lw 3, \
 './cwsim.out' using 2:($4*1512*8/25e6) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($4*1512*8/25e6) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($4*1512*8/25e6) index 3 t '9 802.11' w p lc 2 ,\
 './cwsim.out' using (7000):($4*1512*8/25e6) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($4*1512*8/25e6) index 7 t '25 802.11' w p lc 4, \
 './cwsim.out' using (9000):($4*1512*8/25e6) index 9 t '36 802.11' w p lc 5


set out 'cwsim-PDR-CBR.png' 
set ylabel 'Rata de livrare CBR'  

plot\
 './cwsim.out' using 2:($4/$3) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($4/$3) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($4/$3) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($4/$3) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($4/$3) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($4/$3) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($4/$3) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($4/$3) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($4/$3) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($4/$3) index 9 t '36 802.11' w p lc 5


set key top right
set out 'cwsim-col.png' 
set ylabel 'Numărul coliziunilor Date'  
plot\
 './cwsim.out' using 2:($5   ) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($5   ) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($5   ) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($5   ) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($5   ) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($5   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($5   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($5   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($5   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($5   ) index 9 t '36 802.11' w p lc 5


set out 'cwsim-rtscol.png' 
set ylabel 'Numărul coliziunilor RTS'  
plot\
 './cwsim.out' using 2:($8   ) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($8   ) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($8   ) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($8   ) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($8   ) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($8   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($8   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($8   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($8   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($8   ) index 9 t '36 802.11' w p lc 5


set out 'cwsim-macsent.png' 
set ylabel 'pachete CBR emise de MAC'  
plot\
 './cwsim.out' using 2:($6   ) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($6   ) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($6   ) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($6   ) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($6   ) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($6   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (5000):($6   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (5000):($6   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (5000):($6   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (5000):($6   ) index 9 t '36 802.11' w p lc 5




set out 'cwsim-agtsent.png'
set ylabel 'pachete CBR emise de agent'
plot\
 './cwsim.out' using 2:($3   ) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($3   ) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($3   ) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($3   ) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($3   ) index 8 t '36' w l lw 3,\
 './cwsim.out' using (5000):($3   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($3   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($3   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($3   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($3   ) index 9 t '36 802.11' w p lc 5
 


set out 'cwsim-retr.png' 
set ylabel 'transmisii per pachet'  

plot\
 './cwsim.out' using 2:($6/$4   ) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($6/$4   ) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($6/$4   ) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($6/$4   ) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($6/$4   ) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($6/$4   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($6/$4   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($6/$4   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($6/$4   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($6/$4   ) index 9 t '36 802.11' w p lc 5


set key right bottom
set out 'cwsim-PDR-MAC.png' 
set ylabel 'Rata de livrare MAC'  

plot\
 './cwsim.out' using 2:($4/$6   ) index 0 t '4' w l lw 3,\
 './cwsim.out' using 2:($4/$6   ) index 2 t '9' w l lw 3,\
 './cwsim.out' using 2:($4/$6   ) index 4 t '16' w l lw 3,\
 './cwsim.out' using 2:($4/$6   ) index 6 t '25' w l lw 3,\
 './cwsim.out' using 2:($4/$6   ) index 8 t '36' w l lw 3, \
 './cwsim.out' using (5000):($4/$6   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($4/$6   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($4/$6   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($4/$6   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($4/$6   ) index 9 t '36 802.11' w p lc 5


set out 'cwsim-times.png'
set ylabel 'one way delay UDP[s]'
set key top left 

plot\
 './cwsim.out' using 2:($9   ) index 0 t '4' w l lw 3 lc 1,\
 './cwsim.out' using 2:($9   ) index 2 t '9' w l lw 3 lc 2,\
 './cwsim.out' using 2:($9   ) index 4 t '16' w l lw 3 lc 3,\
 './cwsim.out' using 2:($9   ) index 6 t '25' w l lw 3 lc 4,\
 './cwsim.out' using 2:($9   ) index 8 t '36' w l lw 3 lc 5, \
 './cwsim.out' using (5000):($9   ) index 1 t '4 802.11' w p lc 1,\
 './cwsim.out' using (6000):($9   ) index 3 t '9 802.11' w p lc 2,\
 './cwsim.out' using (7000):($9   ) index 5 t '16 802.11' w p lc 3,\
 './cwsim.out' using (8000):($9   ) index 7 t '25 802.11' w p lc 4,\
 './cwsim.out' using (9000):($9   ) index 9 t '36 802.11' w p lc 5,\
 './cwsim.out' using 2:9:9:($9+$10) index 0 t '' w yerr lw 1 lc 1,\
 './cwsim.out' using 2:9:9:($9+$10) index 2 t '' w yerr lw 1 lc 2,\
 './cwsim.out' using 2:9:9:($9+$10) index 4 t '' w yerr lw 1 lc 3,\
 './cwsim.out' using 2:9:9:($9+$10) index 6 t '' w yerr lw 1 lc 4,\
 './cwsim.out' using 2:9:9:($9+$10) index 8 t '' w yerr lw 1 lc 5, \
 './cwsim.out' using (5000):9:9:($9+$10) index 1 t '' w yerr lc 1,\
 './cwsim.out' using (6000):9:9:($9+$10) index 3 t '' w yerr lc 2,\
 './cwsim.out' using (7000):9:9:($9+$10) index 5 t '' w yerr lc 3,\
 './cwsim.out' using (8000):9:9:($9+$10) index 7 t '' w yerr lc 4,\
 './cwsim.out' using (9000):9:9:($9+$10) index 9 t '' w yerr lc 5


